math
====

C++ GameDev related math helpers.  These helpers will be designed and written for ease of use, to be as simple as possible.  In a commercial engine they would be designed out differently, and I would be utilizing architecture specific performance improvements (compiler intrinsics).  These are primarily 3D math helpers, and do not contain any physics related code, collision, etc. 

Requirements
-----------
Aside from a C++ compiler, there are no external dependencies outside of the stdlib.  However, for running unit tests I use [igloo](https://github.com/joakimkarlsson/igloo), which is already referenced, and you'll need premake4. 

Cloning
-----------
Since there's an external for testing, don't forget `--recursive`: `git clone --recursive https://github.com/leetNightshade/math.beta.git`. 

Testing
-----------
You'll need premake4. On the commandline `premake4 --help` to see what project types are available for your platform, and pick the project type you want to use. For example, on Windows I'll use `premake4 vs2010`.  From there build your project.  When it's done building, run the program directly; for convenience you don't need to run it from the commandline. 