#ifndef __TESTSVECTOR3_H__
#define __TESTSVECTOR3_H__

# include "math/Vector3.h"

	When( vector3_scalar_multiplied )
	{
		Then( it_should_be_correct )
		{
			value1 = Vec3f( 1.f, 1.f, 1.f );

			value1 *= 2.f;

			Assert::That( value1, Equals( Vec3f( 2.f, 2.f, 2.f ) ) );
		}

		Vec3f value1;
	};

	When( vector3_scalar_divided )
	{
		Then( it_should_be_correct )
		{
			value1 = Vec3f( 2.f, 2.f, 2.f );

			value1 /= 2.f;

			Assert::That( value1, Equals( Vec3f( 1.f, 1.f, 1.f ) ) );
		}

		Vec3f value1;
	};

	When( vector3_scalar_multiply_assignment )
	{
		Then( it_should_be_correct )
		{
			value1 = Vec3f( 1.f, 1.f, 1.f ) * 2.f;

			Assert::That( value1, Equals( Vec3f( 2.f, 2.f, 2.f ) ) );
		}

		Vec3f value1;
	};

	When( vector3_scalar_divide_assignment )
	{
		Then( it_should_be_correct )
		{
			value1 = Vec3f( 2.f, 2.f, 2.f ) / 2.f;

			Assert::That( value1, Equals( Vec3f( 1.f, 1.f, 1.f ) ) );
		}

		Vec3f value1;
	};

	When( vector3_set_to_zero )
	{
		Then( it_should_be_correct )
		{
			value1 = Vec3f::Zero;

			Assert::That( value1, Equals( Vec3f( 0.f, 0.f, 0.f ) ) );
		}

		Vec3f value1;
	};

#endif //__TESTSVECTOR3_H__
